%define package zabbix_agent

Name:		wpkg-zabbix_agent
Version:	4.0.0
Release:	1%{?dist}
Summary:	%{package} for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	unix2dos

Requires:	ipasserelle-gp

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
/home/e-smith/files/shares/wpkg/files/

%changelog
* Thu Oct 11 2018 Daniel Berteaud <daniel@firewall-services.com> 4.0.0-1
- Update to 4.0.0 (daniel@firewall-services.com)

* Thu Sep 20 2018 Daniel Berteaud <daniel@firewall-services.com> 3.4.14-1
- Update to 3.4.14 (daniel@firewall-services.com)

* Tue Jun 12 2018 Daniel Berteaud <daniel@firewall-services.com> 3.4.10-1
- Update to 3.4.10 (daniel@firewall-services.com)

* Mon Mar 05 2018 Daniel Berteaud <daniel@firewall-services.com> 3.4.7-1
- Update to 3.4.7 (daniel@firewall-services.com)

* Mon Jan 22 2018 Daniel Berteaud <daniel@firewall-services.com> 3.4.6-1
- Stable release

* Mon Jan 22 2018 Daniel Berteaud <daniel@firewall-services.com> 3.4.6-0.beta1
- Update to 3.4.6 (daniel@firewall-services.com)

* Mon Jan 22 2018 Daniel Berteaud <daniel@firewall-services.com>
- Update to 3.4.6 (daniel@firewall-services.com)

* Mon Jan 08 2018 Daniel Berteaud <daniel@firewall-services.com> 3.4.5-1
- Stable release

* Mon Jan 08 2018 Daniel Berteaud <daniel@firewall-services.com> 3.4.5-0.beta1
- Update to 3.4.5 (daniel@firewall-services.com)

* Tue Dec 19 2017 Daniel Berteaud <daniel@firewall-services.com> 3.4.3-1
- Stable release

* Mon Dec 18 2017 Daniel Berteaud <daniel@firewall-services.com> 3.4.3-0.beta3
- Don't use a var for the package name (daniel@firewall-services.com)

* Mon Dec 18 2017 Daniel Berteaud <daniel@firewall-services.com> 3.4.3-0.beta2
- Remove unused CHANGELOG.git (daniel@firewall-services.com)

* Mon Dec 18 2017 Daniel Berteaud <daniel@firewall-services.com> 3.4.3-0.beta1
- new package built with tito

* Mon Oct 23 2017 Daniel Berteaud <daniel@firewall-services.com> - 3.4.2-1
- Update to 3.4.2

* Wed Sep 13 2017 Daniel Berteaud <daniel@firewall-services.com> - 3.4.1-1
- Update to 3.4.1

* Mon May 29 2017 Daniel Berteaud <daniel@firewall-services.com> - 3.2.6-1
- Update to 3.2.6

* Wed Apr 19 2017 Daniel Berteaud <daniel@firewall-services.com> - 3.2.4-1
- Update to 3.2.4

* Mon Jan 2 2017 Daniel Berteaud <daniel@firewall-services.com> - 3.2.3-1
- Update to 3.2.3

* Tue Oct 18 2016 Daniel Berteaud <daniel@firewall-services.com> - 3.2.1-1
- Update to 3.2.1

* Mon Sep 19 2016 Daniel Berteaud <daniel@firewall-services.com> - 3.2.0-1
- Update to 3.2.0

* Tue Aug 23 2016 Daniel Berteaud <daniel@firewall-services.com> - 3.0.4-2
- -1 is also a success for service uninstall

* Tue Aug 23 2016 Daniel Berteaud <daniel@firewall-services.com> - 3.0.4-1
- Update to 3.0.4

* Tue Jul 12 2016 Daniel Berteaud <daniel@firewall-services.com> - 3.0.3-1
- Update to 3.0.3
- Fix service not being recreated during upgrades

* Fri Mar 25 2016 Daniel Berteaud <daniel@firewall-services.com> - 3.0.1-3
- Stop the service before upgrades/downgrades/removals
- Conditionnaly uninstall the service on install/upgrades/downgrades

* Fri Mar 25 2016 Daniel Berteaud <daniel@firewall-services.com> - 3.0.1-2
- Leave the service management to the MSI installer

* Tue Mar 22 2016 Daniel Berteaud <daniel@firewall-services.com> - 3.0.1-1
- Update to 3.0.1
- Use advfirewall syntax to open port

* Mon Nov 30 2015 Daniel Berteaud <daniel@firewall-services.com> - 2.4.7.1-1
- Update to 2.4.7.1

* Mon Nov 23 2015 Daniel Berteaud <daniel@firewall-services.com> - 2.4.7-1
- Update to 2.4.7

* Thu Sep 10 2015 Daniel Berteaud <daniel@firewall-services.com> - 2.4.6-1
- Update to 2.4.6

* Mon May 18 2015 Daniel Berteaud <daniel@firewall-services.com> - 2.4.5-1
- Update to 2.4.5

* Mon Mar 30 2015 Daniel Berteaud <daniel@firewall-services.com> - 2.4.4-1
- Update to 2.4.4

* Wed Dec 10 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.4.2-1
- Update to 2.4.2

* Mon Sep 1 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.2.6-1
- Update to 2.2.6

* Mon Aug 4 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.2.5-1
- Update to 2.2.5

* Wed Apr 23 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.2.3-1
- Update to 2.2.3

* Wed Feb 12 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.2.1-1
- update to 2.2.1

* Mon Nov 18 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.2.0-1
- update to 2.2.0

* Thu Aug 29 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.0.8-1
- update to 2.0.8

* Tue Aug 20 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.0.7-1
- update to 2.0.7

* Mon May 13 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.0.6-1
- update to 2.0.6

* Wed Dec 26 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.0.4-1
- update to 2.0.4
- also use ZBX_SERVER_IP for the firewall rule

* Wed Aug 29 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.0.2-2
- Use ZBX_SERVER_IP during agent installation

* Fri Aug 17 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.0.2-1
- update to 2.0.2

* Mon Jul 9 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.0.0
- initial release with Zabbix Agent 2.0.0

